Scan
POST /api/writing/spell-scan/scan
POST
/api/writing/spell-scan/scan
Scan plain text for spelling errors, ignoring the project’s custom dictionary.
Request Body required
Section titled “Request Body required ” SpellScanRequest
Request body for a spell-scan.
object
projectId
required
Projectid
string
text
required
Text
Plain text extracted from the editor doc.
string
Responses
Section titled “ Responses ”Successful Response
SpellScanResponse
Result of a spell-scan over a block of text.
object
issues
required
Issues
Array<object>
SpellScanIssueA single misspelling with position and suggestions.
object
word
required
Word
string
offset
required
Offset
integer
length
required
Length
integer
suggestions
required
Suggestions
Array<string>
total
required
Total
integer
truncated
required
Truncated
boolean
Validation Error
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context